<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Src/NLME/SecondStage/GetSSUncertainity.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_413f4e031a85da0d68269c6fd2f76e1c.html">Src</a></li><li class="navelem"><a class="el" href="../../dir_8672bca13fc16af0e54d5ddc01090308.html">NLME</a></li><li class="navelem"><a class="el" href="../../dir_29c207c1a10848cd925bbfd8d0c3e900.html">SecondStage</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GetSSUncertainity.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d0/def/_get_s_s_uncertainity_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;% Get uncertainty: TO DO</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;% betahat=Result.PopMean;</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;% Dhat=Result.PopCovar;</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;% flag_inv=[];</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;% covs=zeros([size(Result.PopCovar),length(params)]);</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;% </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;% % Covariate_flags</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;% ncov=length(unique(covariate_flags));</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;% covariate_flags=<a class="code" href="../../d5/ddd/generate_dummy_var_8m.html#aa8b4264401f69256e730ceee4bcb7bb9">generateDummyVar</a>(covariate_flags,ncov);</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;% </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;% cov_sum=zeros(size(Dhat,1),size(Dhat,1),ncov);</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;% asymcovs=zeros(size(Dhat,1),size(Dhat,1),ncov);</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;% <span class="keywordflow">for</span> k=1:ncov</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;%     <span class="keywordflow">for</span> i=1:length(params)      </div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;%         cov_sum(:,:,k)=cov_sum(:,:,k)+covariate_flags(i,k).*covs(:,:,i);    </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;%         flag_inv(i)=~any([any(isinf(covs(:,:,i))),any(isnan(covs(:,:,i)))]);    </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;%     end</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;%     asymcovs(:,:,k)=<a class="code" href="../../d7/d6f/get_stable_inverse_8m.html#ae25b5a84ac67e3f37713d82beb789f4e">getStableInverse</a>(cov_sum(:,:,k));    </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;% end</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aget_stable_inverse_8m_html_ae25b5a84ac67e3f37713d82beb789f4e"><div class="ttname"><a href="../../d7/d6f/get_stable_inverse_8m.html#ae25b5a84ac67e3f37713d82beb789f4e">getStableInverse</a></div><div class="ttdeci">function getStableInverse(in inpMat)</div><div class="ttdoc">getStableInverse gets the inverse of a matrix. First Cholesky is tried. If that fails,...</div></div>
<div class="ttc" id="agenerate_dummy_var_8m_html_aa8b4264401f69256e730ceee4bcb7bb9"><div class="ttname"><a href="../../d5/ddd/generate_dummy_var_8m.html#aa8b4264401f69256e730ceee4bcb7bb9">generateDummyVar</a></div><div class="ttdeci">function generateDummyVar(in covariate_flag, in ncov)</div><div class="ttdoc">generateDummyVar generates dummy variable coding</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:30 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
